%define tree 22.04 
Name:           gufw 
Version:        %{tree}.0 
Release:        %mkrel 2
Summary:        Uncomplicated Firewall
License:        GPLv3
Group:          System/Servers
URL:            https://github.com/costales/gufw
Source0:        https://github.com/costales/gufw/releases/download/%{tree}/gui-ufw-%{version}.tar.xz
Source1:	    gufw.desktop

BuildRequires:  autoconf
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  python3-devel
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-netifaces

Requires: 	webkitgtk2
Requires: 	%{_lib}gtk+3_0
Requires: 	gnome-icon-theme-symbolic
Requires: 	polkit
Requires: 	python3-gobject3
Requires: 	python3-distutils-extra
Requires:   python3-netifaces
Requires:       ufw >= 0.34

%description
An easy, intuitive, way to manage your Linux firewall. It supports common
tasks such as allowing or blocking pre-configured, common p2p, or individual
ports port(s), and many others!

%prep
%setup -qn gui-ufw-%{version}
# fix path to gufw
perl -pi -e "s|/usr/share/gufw|%{python3_sitelib}|g" bin/gufw-pkexec

%build
# direct install

%install
python3 setup.py install --prefix=%{_prefix} --root %{buildroot}
chmod 755 %{buildroot}%{python3_sitelib}/gufw/gufw.py
chmod 755 %{buildroot}%{python3_sitelib}/gufw/gufw/model/ufw_backend.py

rm -f %{buildroot}%{_datadir}/applications/gufw.desktop
cp %SOURCE1 %{buildroot}%{_datadir}/applications/gufw.desktop

%files
%{_sysconfdir}/%name
%{_bindir}/%{name}*
%{python3_sitelib}/%{name}*
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%{_iconsdir}/hicolor/*/apps/%name.*
%{_mandir}/man8/gufw.8.*
%{_datadir}/polkit-1/actions/com.ubuntu.pkexec.gufw.policy
%{_datadir}/locale/*/*/%name.mo
%{_datadir}/doc/gufw/README

%changelog
* Tue Jul 18 2023 tex - 22.04.0-2pclos2023
- rebuild against updates

* Tue Dec 13 2022 yodelu  22.04.0-1pclos2022
- update

* Mon Aug 29 2022 TerryN <terryn94 at gmail.com>  17.04.1-4pclos2022
- rebuild for python 3.10

* Tue Feb 19 2019 tex - 17.04.1-3pclos2019
- rebuild against updates

* Sun Jun 03 2018 tex - 17.04.1-2pclos2018
- rebuild against updates

* Sun Nov 26 2017 Zen Subz <techars21 at gmail dot com> - 17.04.1-1pclos2017
- Build for PCLinuxOS
